Foro de Odoo Argentina


¡BIENVENIDO AL FORO DE ODOO ARGENTINA!

BRINDAMOS UN ESPACIO A LA COMUNIDAD ARGENTINA DE ODOO PARA CENTRALIZAR EL DEBATE, COMPARTIR IDEAS, DESARROLLOS, Y FORMAR PARTE DE UNA COMUNIDAD QUE CRECE DÍA A DÍA

¿No estás registrado?  REGISTRATE

0

Problemas al instalar un modulo "DEPRECATED"

Avatar
Jose Luis

Hola estimados, estoy intentando hacer funcionar un modulo que esta "deprecated" en https://github.com/adhoc-dev/odoo-addons/product_bookstore.

El addon esta hecho para odoo 8, pero estoy intentando instalarlo en la version 9.

El error es el siguiente

  File "/home/samsagaz/Documents/Programming/Python/libros/openerp/fields.py", line 628, in _add_trigger

    field = model._fields[name]

KeyError: 'ean13'

Eso sucede porque en la versión 9 se necesita modificar algo? O ese modulo no crea las tablas y tengo q instalar otro modulo antes?

 

Estoy intentando conseguir algun m'odulo para poder adaptarlo a una librería.

Avatar
Descartar
1 Respuesta
0
Avatar
Jose Luis
Best Answer

Me gustar'ia borrar la pregunta, ya que empece un modulo de 0 para no complicarme tanto, parece q falta extender el product.product y agregar ean13, auqnue lo he agregado me dio error igual...

de todos modos ahora estoy empezando un modulo de 0.... pero me surgen muchas dudas... abriré otra consulta sobre el nuevo modulo y la mejor manera de encararlo!

Avatar
Descartar